| optoICC

Public Member Functions | Public Attributes | List of all members
optoICC.registers.icc_registers.TransformationStage Class Reference
Inheritance diagram for optoICC.registers.icc_registers.TransformationStage:

## Public Member Functions
def | __init__ (self, board=None, numberOfChannels=4, sysid=0xE0)
def | SetOffset (self, offset)
def | GetOffset (self)
def | SetGain (self, offset)
def | GetGain (self, offset)
def | SetAddValueOnInput (self)
def | SetAddValueOnOutput (self)
def | SetAddNoValue (self)
def | SetMatrix (self, matrix)
def | SetMatrixAsVector (self, index, vector)
def | GetMatrixAsVector (self, index, count)
def | GetLastOutput (self)
def | get_output (self, n)
def | get_output_id (self, n)
def | SetPatternSegment (self, index, vector)
def | GetPatternSegment (self, addr, int index, int count)

## Public Attributes
| name
| sys_id
| gain
| offset
| config
| out0
| out1
| out2
| out3
| vector
| last_output
| M
| N
| AddValueOnInput
| AddValueOnOutput
| AddNoValue

## Detailed Description

    Device Functionality - MatrixTransformation "OUTPUT TRANSFORM STAGE SYSTEM BASE"
    System ID: 0x26

    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | Register Name             | Id   | Type        | Unit | Range | Default | Comment                                   |
    +===========================+======+=============+======+=======+=========+===========================================+
    | gain                      | 0x00 |float 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | offset                    | 0x01 |float 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

def optoICC.registers.icc_registers.TransformationStage.__init__ | ( |  | self,
|  |  | board = `None`,
|  |  | numberOfChannels = `4`,
|  |  | sysid = `0xE0`
| ) |  |

## Member Function Documentation

## ◆ get_output()

def optoICC.registers.icc_registers.TransformationStage.get_output | ( |  | self,
|  |  | n
| ) |  |

## ◆ get_output_id()

def optoICC.registers.icc_registers.TransformationStage.get_output_id | ( |  | self,
|  |  | n
| ) |  |

## ◆ GetGain()

def optoICC.registers.icc_registers.TransformationStage.GetGain | ( |  | self,
|  |  | offset
| ) |  |

## ◆ GetLastOutput()

def optoICC.registers.icc_registers.TransformationStage.GetLastOutput | ( |  | self | ) |

## ◆ GetMatrixAsVector()

def optoICC.registers.icc_registers.TransformationStage.GetMatrixAsVector | ( |  | self,
|  |  | index,
|  |  | count
| ) |  |

## ◆ GetOffset()

def optoICC.registers.icc_registers.TransformationStage.GetOffset | ( |  | self | ) |

## ◆ GetPatternSegment()

def optoICC.registers.icc_registers.TransformationStage.GetPatternSegment | ( |  | self,
|  |  | addr,
|  | int | index,
|  | int | count
| ) |  |

## ◆ SetAddNoValue()

def optoICC.registers.icc_registers.TransformationStage.SetAddNoValue | ( |  | self | ) |

## ◆ SetAddValueOnInput()

def optoICC.registers.icc_registers.TransformationStage.SetAddValueOnInput | ( |  | self | ) |

## ◆ SetAddValueOnOutput()

def optoICC.registers.icc_registers.TransformationStage.SetAddValueOnOutput | ( |  | self | ) |

## ◆ SetGain()

def optoICC.registers.icc_registers.TransformationStage.SetGain | ( |  | self,
|  |  | offset
| ) |  |

## ◆ SetMatrix()

def optoICC.registers.icc_registers.TransformationStage.SetMatrix | ( |  | self,
|  |  | matrix
| ) |  |

## ◆ SetMatrixAsVector()

def optoICC.registers.icc_registers.TransformationStage.SetMatrixAsVector | ( |  | self,
|  |  | index,
|  |  | vector
| ) |  |

## ◆ SetOffset()

def optoICC.registers.icc_registers.TransformationStage.SetOffset | ( |  | self,
|  |  | offset
| ) |  |

## ◆ SetPatternSegment()

def optoICC.registers.icc_registers.TransformationStage.SetPatternSegment | ( |  | self,
|  |  | index,
|  |  | vector
| ) |  |

## Member Data Documentation

## ◆ AddNoValue

optoICC.registers.icc_registers.TransformationStage.AddNoValue

## ◆ AddValueOnInput

optoICC.registers.icc_registers.TransformationStage.AddValueOnInput

## ◆ AddValueOnOutput

optoICC.registers.icc_registers.TransformationStage.AddValueOnOutput

## ◆ config

optoICC.registers.icc_registers.TransformationStage.config

## ◆ gain

optoICC.registers.icc_registers.TransformationStage.gain

## ◆ last_output

optoICC.registers.icc_registers.TransformationStage.last_output

## ◆ M

optoICC.registers.icc_registers.TransformationStage.M

## ◆ N

optoICC.registers.icc_registers.TransformationStage.N

## ◆ name

optoICC.registers.icc_registers.TransformationStage.name

## ◆ offset

optoICC.registers.icc_registers.TransformationStage.offset

## ◆ out0

optoICC.registers.icc_registers.TransformationStage.out0

## ◆ out1

optoICC.registers.icc_registers.TransformationStage.out1

## ◆ out2

optoICC.registers.icc_registers.TransformationStage.out2

## ◆ out3

optoICC.registers.icc_registers.TransformationStage.out3

## ◆ sys_id

optoICC.registers.icc_registers.TransformationStage.sys_id

## ◆ vector

optoICC.registers.icc_registers.TransformationStage.vector

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/145-713-00-OptoICC/src/main/python/optoICC/registers/icc_registers.py